#include <bits/stdc++.h>
using namespace std;
vector<int> pos;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(NULL);
cout.tie(NULL);
int n,szpos=0; cin>>n;
for(int i=0;i<n;i++){
    int q; cin>>q;
    if(q%2==0) {pos.push_back(i); szpos++;}
}
int sb=0;
for(int pok=1;pok<=szpos;pok++){
    for(int frw=0;frw<=szpos-pok;frw++){
        int lft=1;
        if(frw==0) lft+=pos[0];
        else lft+=(pos[frw]-pos[frw-1]-1);
        int rght=1,lst=frw+pok-1;
        if(lst==szpos-1) rght+=(n-pos[lst]-1);
        else rght+=(pos[lst+1]-pos[lst]-1);
        sb+=(lft*rght);
    }
}
cout<<sb<<'\n';
return 0;
}
